### Hierarchy

- unknown
  - GetOffersRequest

## Index

### Constructors

- constructor

### Methods

- getCurrencyCode
- getDirection
- serializeBinary
- setCurrencyCode
- setDirection
- toObject
- deserializeBinary
- deserializeBinaryFromReader
- serializeBinaryToWriter
- toObject

## Constructors

### constructor

- new GetOffersRequest(): GetOffersRequest

- Inherited from jspb.Message.constructor

  #### Returns GetOffersRequest

## Methods

### getCurrencyCode

- getCurrencyCode(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1389

  #### Returns string

### getDirection

- getDirection(): string

- - Defined in src/protobuf/grpc_pb.d.ts:1386

  #### Returns string

### serializeBinary

- serializeBinary(): Uint8Array

- - Defined in src/protobuf/grpc_pb.d.ts:1392

  #### Returns Uint8Array

### setCurrencyCode

- setCurrencyCode(value: string): GetOffersRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1390

  #### Parameters

  - ##### value: string

  #### Returns GetOffersRequest

### setDirection

- setDirection(value: string): GetOffersRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1387

  #### Parameters

  - ##### value: string

  #### Returns GetOffersRequest

### toObject

- toObject(includeInstance?: boolean): GetOffersRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1393

  #### Parameters

  - ##### Optional includeInstance: boolean

  #### Returns GetOffersRequest . AsObject

### Static deserializeBinary

- deserializeBinary(bytes: Uint8Array): GetOffersRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1396

  #### Parameters

  - ##### bytes: Uint8Array

  #### Returns GetOffersRequest

### Static deserializeBinaryFromReader

- deserializeBinaryFromReader(message: GetOffersRequest, reader: BinaryReader): GetOffersRequest

- - Defined in src/protobuf/grpc_pb.d.ts:1397

  #### Parameters

  - ##### message: GetOffersRequest

  - ##### reader: BinaryReader

  #### Returns GetOffersRequest

### Static serializeBinaryToWriter

- serializeBinaryToWriter(message: GetOffersRequest, writer: BinaryWriter): void

- - Defined in src/protobuf/grpc_pb.d.ts:1395

  #### Parameters

  - ##### message: GetOffersRequest

  - ##### writer: BinaryWriter

  #### Returns void

### Static toObject

- toObject(includeInstance: boolean, msg: GetOffersRequest ): GetOffersRequest . AsObject

- - Defined in src/protobuf/grpc_pb.d.ts:1394

  #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: GetOffersRequest

  #### Returns GetOffersRequest . AsObject

Generated using TypeDoc